Package Scientific :: Package Visualization :: Module Color

[frames] | no frames]

# Module Color

Color definitions for use in the modules VRML, VRML2, VMD, and PyMOL.

Classes
| Color RGB Color specification
| ColorScale Mapping from a number interval to a color range
| SymmetricColorScale Mapping of a symmetric number interval to a color range

Functions

Color

ColorByName(name) Returns: the color associated with name |

Function Details

### ColorByName(name)

Parameters:
  - `name` (`str`) - one of the predefined color names: black, white, grey, red, green, blue, yellow, magenta, cyan, orange, violet, olive, and brown. Any color can be prefixed by "light " or "dark " to yield a variant. The prefix must be separated from the color name by white space, e.g. "light green".
Returns: Color
  the color associated with name
Raises:
  - `KeyError` - if the color name is not defined